load("@ytt:data", "data")
load("@ytt:struct", "struct")

#handle deprecated values
for item in [
    ("tanzunet_username","", "1.14.0"),
    ("tanzunet_password","", "1.14.0"),
    ("tanzunet_secret", {"name": "", "namespace": ""}, "1.14.0"),
    ("descriptor_name","", "1.14.0"),
    ("descriptor_version","", "1.14.0"),
    ("enable_automatic_dependency_updates", False, "1.14.0"),
    ("stack_configuration","default", "1.14.0"),
    #! ("create_secret_exports", False, "1.15.0")
]:
    if struct.decode(getattr(data.values, item[0])) != item[1]:
        print(
            ('warning: The key {0} has been deprecated and will be '
             + 'removed in version {1} of TBS. Installation failures ' +
             'will occur if not removed before upgrading to {1}. ')
            .format(item[0], item[2])
        )
    end
end